import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Bacteria fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * 
 * http://clipart-library.com/clipart/riLozzp4T.htm 
 */
public class Star extends Actor
{
    private int speed;
    
    /**
     * Constructor. Nothing to do so far.
     */
    public Star()
    {
        speed= Greenfoot.getRandomNumber(3)+1;
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-2, getY());
        turn(1);
        
        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }
}
